Re: [HACKERS] What is known about PostgreSQL HP-UX support?

2011-10-10 Thread PostgreSQL - Hans-Jürgen Schönig
On Oct 10, 2011, at 4:21 AM, Alex Goncharov wrote:

 [ Thanks all for the very productive discussion in the thread
  libpq, PQdescribePrepared - PQftype, PQfmod, no PQnullable
  which I originated.  Very useful.  Now on something different. ]
 
 About two years ago, I had to research some PostgreSQL failures on
 HP-UX on a lame PA-RISC box.  Looking at the PostgreSQL source code
 then, I got an impression that running PostgreSQL on HP-UX was an open
 question -- HP-UX didn't seem like a seriously targeted platform.
 
 Was I wrong in my assessment?  Does anybody have a good experience
 running PostgreSQL on HP-UX?  What version of both? PA-RISC? IA64?
 
 Thanks,




hello,

HPUX is not too common these days but it works like a charm.
we have a couple of large IA64 servers running on HPUX at a major customer.
things work without any problems. it compiled out of the box just like expected 
and we have not seen any failures or so for almost 2 years now.

so, thumbs up ... nothing to be afraid of.

many thanks,

hans

--
Cybertec Schönig  Schönig GmbH
Gröhrmühlgasse 26
A-2700 Wiener Neustadt, Austria
Web: http://www.postgresql-support.de


-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers


Re: [HACKERS] What is known about PostgreSQL HP-UX support?

2011-10-10 Thread Heikki Linnakangas

On 10.10.2011 05:39, Alex Goncharov wrote:

   1. The PostgreSQL server will build on HPUX 11.31 IA64.


Yes.


   2. The server will run all right (speaking on the test cases you
  personally covered only) on HPUX 11.31 IA64.


Yes, works fine.


   3. Both PostgreSQL v. 8.4 and 9.1.


Not sure about 8.4 (or 9.0). A bunch of HP-UX related fixes were 
committed around April-May, to fix issues I bumped into when setting up 
the HP-UX ia64 buildfarm member (anole). I don't think all of them were 
back-patched.


--
  Heikki Linnakangas
  EnterpriseDB   http://www.enterprisedb.com

--
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers


Re: [HACKERS] What is known about PostgreSQL HP-UX support?

2011-10-10 Thread Alex Goncharov
Thank you all who replied!

-- Alex -- alex-goncha...@comcast.net --

/*
 * They're only trying to make me LOOK paranoid!
 */

-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers


Re: [HACKERS] What is known about PostgreSQL HP-UX support?

2011-10-09 Thread Tom Lane
Alex Goncharov alex-goncha...@comcast.net writes:
 About two years ago, I had to research some PostgreSQL failures on
 HP-UX on a lame PA-RISC box.  Looking at the PostgreSQL source code
 then, I got an impression that running PostgreSQL on HP-UX was an open
 question -- HP-UX didn't seem like a seriously targeted platform.

Well, HP hasn't exactly been forthcoming with support on their own end,
but we do have an HPUX 11.31 IA64 machine in the buildfarm, and I still
routinely test on a personal 10.20 HPPA box, so it's not like the
platform doesn't get coverage at all.  If you'd like to see some other
cases covered, feel free to contribute a buildfarm member.

regards, tom lane

-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers


Re: [HACKERS] What is known about PostgreSQL HP-UX support?

2011-10-09 Thread Alex Goncharov
Thanks...

,--- You/Tom (Sun, 09 Oct 2011 22:29:19 -0400) *
| Well, HP hasn't exactly been forthcoming with support on their own end,
| but we do have an HPUX 11.31 IA64 machine in the buildfarm,

Should I read the above as:

  1. The PostgreSQL server will build on HPUX 11.31 IA64.

  2. The server will run all right (speaking on the test cases you
 personally covered only) on HPUX 11.31 IA64.

  3. Both PostgreSQL v. 8.4 and 9.1.

| and I still routinely test on a personal 10.20 HPPA box, so it's not
| like the platform doesn't get coverage at all.

and the same three items on HPPA 10.20.

Or anything of the items 1 to 3 is not true or not certain?

Thanks again!

-- Alex -- alex-goncha...@comcast.net --

-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers